/*!
 * apracjs
 * Copyright(c) 2018 by wssf
 * 2018-12-10
 */

'use strict';
// 云打印：打印输出设备
exports.PrintOutDevice = {
    /// <summary>
    /// 默认不区分输出设备
    /// </summary>
    Default: 0,
    /// <summary>
    /// 输出到打印机设备
    /// </summary>
    Printer: 1,
    /// <summary>
    /// 输出到PDF
    /// </summary>
    Pdf: 2
};

// 云打印：打印模式
exports.PrintMode = {
    /// <summary>
    /// 本地打印
    /// </summary>
    Local: 0,
    /// <summary>
    /// 远程打印
    /// </summary>
    Remote: 1,
    /// <summary>
    /// 本地打印且使用云样式
    /// </summary>
    LocalAndCloudStyle: 2
};

// 云打印：样式类型
exports.StyleFomatType = {
    // 默认查询所有样式
    Default: 0,
    // PDF样式
    PDF: 1,
    // 普通样式
    Printer: 2
};