'use strict'

class FileUpload {
  constructor() {
    this.fields = [];
  }

  addFields(field) {
    this.fields.push(field);
  }

  addField(name) {
    this.fields.push({ name: name, maxCount: 1 });
  }
}

class Field {
  constructor(filename, maxCount) {
    this.name = filename;
    this.maxCount = maxCount;
  }
}

exports = module.exports = FileUpload;
exports.Field = Field;
[
  'checkFile',// 检查文件类型、大小
  'getFilename',// 自定义文件名
  'doOk',//成功后的回调函数
  'savedDic'//文件保存的路径
].forEach(function(name) {
  Object.defineProperty(module.exports, name, {
    get: function() {
      throw new Error('Error');
    },
    configurable: true
  });
});
