var Sequence = require('./Sequence');
var Packets = require('../packets');


class BlobData extends Sequence {
  constructor(values,options,callback) {
    super(options, callback);
    if(typeof values == "object"){
      this.values = JSON.stringify(values);
    } else {
      this.values = values;
    }
  }
  
  start() {
    this.emit('packet', new Packets.BlobPacket(this.values));
  }

  determinePacket(byte, parser) {
    return Packets.BlobPacket;
  }

  BlobPacket(packet){
    this.end('', packet.data);
  }
}

module.exports = BlobData;
